Get one listing of the dataset with its versions, its agents and its holder
curl --request GET \
--url https://api.investorlift.com/v3/listings/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.investorlift.com/v3/listings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.investorlift.com/v3/listings/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"listing": {
"listing_id": "8ab6337774829cf8ce464b284e1f67db",
"property_id": "e0c8553caa05040728bd8f2adf6a9425",
"address": {
"line": "13420 N Hawthorn Dr",
"city": "Sun City",
"zip": "85351",
"apn": "200-80-014"
},
"latitude": 33.605979,
"longitude": -112.273594,
"address_held_back": null,
"location_radius_m": null,
"distance_miles": null,
"status": "SOLD",
"status_detail": null,
"on_market": false,
"is_rental": false,
"listed_on": "2026-08-28",
"sold_on": "2026-10-02",
"off_market_on": null,
"status_updated_on": "2026-08-28",
"list_price": 250000,
"sold_price": 250000,
"price_high": 250000,
"days_on_market": 35,
"bedrooms": 3,
"bathrooms": 2,
"living_area": 1516,
"lot_sqft": 435,
"year_built": 1972,
"property_type": "CONDO",
"mls_number": "7072412",
"mls_name": "Arizona Regional Multiple Listing Service (ARMLS)",
"brokerage_name": "HomeSmart",
"n_agents": 1,
"agent_ids": [
"AZ:agt:e4d0e7926664"
],
"holder_org_ids": [],
"n_holder_orgs": 2,
"holder_from_registry": false
},
"versions": [
{
"listing_id": "8ab6337774829cf8ce464b284e1f67db",
"version_no": 1,
"is_current": true,
"seen_from": "2026-10-07",
"seen_to": null,
"closed_by": null,
"status": "SOLD",
"status_basis": "category",
"status_detail": null,
"status_raw": "Sold",
"off_market_reason": null,
"is_rental": false,
"on_market": false,
"list_price": 250000,
"price_low": null,
"price_low_on": null,
"price_high": 250000,
"price_high_on": "2026-10-02",
"listed_on": "2026-08-28",
"status_updated_on": "2026-08-28",
"off_market_on": null,
"sold_on": "2026-10-02",
"sold_price": 250000,
"days_on_market": 35,
"mls_name": "Arizona Regional Multiple Listing Service (ARMLS)",
"mls_number": "7072412",
"brokerage_name": "HomeSmart",
"bedrooms": 3,
"bathrooms": 2,
"living_area": 1516,
"lot_sqft": 435,
"year_built": 1972,
"property_type": "CONDO",
"property_subtype": null,
"n_agents": 1,
"modified_at": "2026-10-06T03:45:04.801Z"
}
],
"agents": [
{
"agent_id": "AZ:agt:e4d0e7926664",
"person_id": "AZ:person:e4d0e7926664",
"name": null,
"roles": "Listing Agent",
"is_team": false,
"brokerage_name": "HomeSmart",
"office_name": "HomeSmart",
"is_current": true
}
],
"holder": {
"org_ids": [],
"n_orgs": 2,
"from_registry": false,
"deed_date": "2018-09-20",
"doc_class": "NOT_ECONOMIC",
"price": 0,
"basis": "deed"
}
},
"meta": {
"generated_at": "2026-10-18T21:38:34.282Z",
"coverage": [],
"terms": "Data: Investorlift Data Services. Public-record and MLS listing data licensed through BatchData; municipal short-term rental registries; Investorlift marketplace records. Attribution and data-use terms: https://developers.investorlift.com/guides/terms",
"build": {
"states": [
{
"state": "AZ",
"build_id": "5ca22a59",
"built_at": "2026-10-18T21:14:14.380Z",
"published_at": "2026-10-18T21:29:36.244Z",
"run_id": 1792358069,
"financing_as_of": "2026-06-25",
"recordings_through": "2026-06-11",
"financing_source": "replay_887",
"str_as_of": "2026-10-18"
},
{
"state": "CA",
"build_id": null,
"built_at": "2026-09-24T01:58:30.453Z",
"published_at": "2026-09-24T03:15:56.838Z",
"run_id": 1790215190,
"financing_as_of": null,
"recordings_through": null,
"financing_source": null,
"str_as_of": null
},
{
"state": "FL",
"build_id": "0e5fa9bc",
"built_at": "2026-09-24T15:08:23.506Z",
"published_at": "2026-09-24T18:59:42.805Z",
"run_id": 1790262682,
"financing_as_of": null,
"recordings_through": null,
"financing_source": null,
"str_as_of": null
},
{
"state": "TX",
"build_id": "775ed08d",
"built_at": "2026-09-24T11:08:10.587Z",
"published_at": "2026-09-24T13:16:03.157Z",
"run_id": 1790248213,
"financing_as_of": null,
"recordings_through": null,
"financing_source": null,
"str_as_of": null
}
]
}
}
}The dataset (/v3)
Get one listing of the dataset with its versions, its agents and its holder
Get one listing of the dataset with its versions, its agents and its holder.
GET
/
v3
/
listings
/
{id}
Get one listing of the dataset with its versions, its agents and its holder
curl --request GET \
--url https://api.investorlift.com/v3/listings/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.investorlift.com/v3/listings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.investorlift.com/v3/listings/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"listing": {
"listing_id": "8ab6337774829cf8ce464b284e1f67db",
"property_id": "e0c8553caa05040728bd8f2adf6a9425",
"address": {
"line": "13420 N Hawthorn Dr",
"city": "Sun City",
"zip": "85351",
"apn": "200-80-014"
},
"latitude": 33.605979,
"longitude": -112.273594,
"address_held_back": null,
"location_radius_m": null,
"distance_miles": null,
"status": "SOLD",
"status_detail": null,
"on_market": false,
"is_rental": false,
"listed_on": "2026-08-28",
"sold_on": "2026-10-02",
"off_market_on": null,
"status_updated_on": "2026-08-28",
"list_price": 250000,
"sold_price": 250000,
"price_high": 250000,
"days_on_market": 35,
"bedrooms": 3,
"bathrooms": 2,
"living_area": 1516,
"lot_sqft": 435,
"year_built": 1972,
"property_type": "CONDO",
"mls_number": "7072412",
"mls_name": "Arizona Regional Multiple Listing Service (ARMLS)",
"brokerage_name": "HomeSmart",
"n_agents": 1,
"agent_ids": [
"AZ:agt:e4d0e7926664"
],
"holder_org_ids": [],
"n_holder_orgs": 2,
"holder_from_registry": false
},
"versions": [
{
"listing_id": "8ab6337774829cf8ce464b284e1f67db",
"version_no": 1,
"is_current": true,
"seen_from": "2026-10-07",
"seen_to": null,
"closed_by": null,
"status": "SOLD",
"status_basis": "category",
"status_detail": null,
"status_raw": "Sold",
"off_market_reason": null,
"is_rental": false,
"on_market": false,
"list_price": 250000,
"price_low": null,
"price_low_on": null,
"price_high": 250000,
"price_high_on": "2026-10-02",
"listed_on": "2026-08-28",
"status_updated_on": "2026-08-28",
"off_market_on": null,
"sold_on": "2026-10-02",
"sold_price": 250000,
"days_on_market": 35,
"mls_name": "Arizona Regional Multiple Listing Service (ARMLS)",
"mls_number": "7072412",
"brokerage_name": "HomeSmart",
"bedrooms": 3,
"bathrooms": 2,
"living_area": 1516,
"lot_sqft": 435,
"year_built": 1972,
"property_type": "CONDO",
"property_subtype": null,
"n_agents": 1,
"modified_at": "2026-10-06T03:45:04.801Z"
}
],
"agents": [
{
"agent_id": "AZ:agt:e4d0e7926664",
"person_id": "AZ:person:e4d0e7926664",
"name": null,
"roles": "Listing Agent",
"is_team": false,
"brokerage_name": "HomeSmart",
"office_name": "HomeSmart",
"is_current": true
}
],
"holder": {
"org_ids": [],
"n_orgs": 2,
"from_registry": false,
"deed_date": "2018-09-20",
"doc_class": "NOT_ECONOMIC",
"price": 0,
"basis": "deed"
}
},
"meta": {
"generated_at": "2026-10-18T21:38:34.282Z",
"coverage": [],
"terms": "Data: Investorlift Data Services. Public-record and MLS listing data licensed through BatchData; municipal short-term rental registries; Investorlift marketplace records. Attribution and data-use terms: https://developers.investorlift.com/guides/terms",
"build": {
"states": [
{
"state": "AZ",
"build_id": "5ca22a59",
"built_at": "2026-10-18T21:14:14.380Z",
"published_at": "2026-10-18T21:29:36.244Z",
"run_id": 1792358069,
"financing_as_of": "2026-06-25",
"recordings_through": "2026-06-11",
"financing_source": "replay_887",
"str_as_of": "2026-10-18"
},
{
"state": "CA",
"build_id": null,
"built_at": "2026-09-24T01:58:30.453Z",
"published_at": "2026-09-24T03:15:56.838Z",
"run_id": 1790215190,
"financing_as_of": null,
"recordings_through": null,
"financing_source": null,
"str_as_of": null
},
{
"state": "FL",
"build_id": "0e5fa9bc",
"built_at": "2026-09-24T15:08:23.506Z",
"published_at": "2026-09-24T18:59:42.805Z",
"run_id": 1790262682,
"financing_as_of": null,
"recordings_through": null,
"financing_source": null,
"str_as_of": null
},
{
"state": "TX",
"build_id": "775ed08d",
"built_at": "2026-09-24T11:08:10.587Z",
"published_at": "2026-09-24T13:16:03.157Z",
"run_id": 1790248213,
"financing_as_of": null,
"recordings_through": null,
"financing_source": null,
"str_as_of": null
}
]
}
}
}This route serves the dataset under
/v3/listings/{id}. See The dataset for the tier rules.Authorizations
API key from the developer console (starts with zpka_). Create one at https://developers.investorlift.com/get-a-key. The same key works on POST /mcp.
Path Parameters
The listing id, as a listing row or a listing version carries it.
Was this page helpful?